Last Comment Bug 311379 - animation and image loading in canvas no longer works in beta 2
: animation and image loading in canvas no longer works in beta 2
Status: RESOLVED FIXED
: fixed1.8
Product: Core
Classification: Components
Component: Canvas: 2D (show other bugs)
: 1.8 Branch
: x86 Windows XP
: -- major with 1 vote (vote)
: ---
Assigned To: Vladimir Vukicevic [:vlad] [:vladv]
:
:
Mentors:
http://andrewwooldridge.com/canvas/ca...
Depends on: 311381
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-06 11:26 PDT by Andrew Wooldridge
Modified: 2005-10-12 05:18 PDT (History)
3 users (show)
mscott: blocking1.8rc1-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Andrew Wooldridge 2005-10-06 11:26:29 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

If you view this page in beta 1 FF you'll see an animated background along with
images for a little character that can move around. In beta 2 all that shows up
is the background which fails to move. I see no js errors in my console.  

Reproducible: Always

Steps to Reproduce:
1.Load site url
2.Observe canvas


Actual Results:  
Canvas shows up but with no animation and missing images

Expected Results:  
Canvas should show an animated background and a character moving via keyboard
presses - as is in beta1
Comment 1 Andrew Wooldridge 2005-10-06 11:27:40 PDT
Note that the user agent I used to post the bug is not the one I used to test
the canvas.. obviously...
Comment 2 Peter van der Woude [:Peter6] 2005-10-06 11:41:25 PDT
see warnings in JSConsole

Warning: assignment to undeclared variable knight
Source file: http://andrewwooldridge.com/canvas/canvasgame001/canvasgame002.html
Line: 19

Warning: assignment to undeclared variable knifeTimer
Source file: http://andrewwooldridge.com/canvas/canvasgame001/canvasgame002.html
Line: 29

Comment 3 José Jeria 2005-10-06 14:35:49 PDT
Works in:
[ 2005-09-27-06-mozilla1.8 ]
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8b5) Gecko/20050927 Firefox/1.4

Broken in:
[ 2005-09-28-07-mozilla1.8 ]
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8b5) Gecko/20050928 Firefox/1.4
Comment 4 Peter van der Woude [:Peter6] 2005-10-06 14:43:05 PDT
I have 6 builds for that period.
I'll narrow it down in an hour or so. (this will miss 1.5beta2 anyway)
Comment 6 Scott MacGregor 2005-10-10 16:38:32 PDT
Will re-evaulate if Vlad feels strongly, but I don't think we would stop ship
for this bug.
Comment 7 Vladimir Vukicevic [:vlad] [:vladv] 2005-10-10 17:17:09 PDT
Don't think we want to stop ship, but we do need to get the bug fixed before RC.
 There's something strange going on, as image loading works fine elsewhere.
Comment 8 José Jeria 2005-10-12 02:50:00 PDT
Ahhh, nice, this WFM with:
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8b5) Gecko/20051012
Firefox/1.4.1

Please confirm that this works and mark it WFM
Comment 9 Peter van der Woude [:Peter6] 2005-10-12 05:18:53 PDT
Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.8b5) Gecko/20051011
Firefox/1.4.1 ID:2005101123

Fixed by Bug 311381

Note You need to log in before you can comment on or make changes to this bug.